<template>
	<view>
		<!-- <u-navbar title="模拟考试" @rightClick="rightClick" :autoBack="true">
		</u-navbar> -->
		<j-navbar :isDefineBack="true"  @toBack="toBack">模拟考试</j-navbar>
		<Question ref="question" :tabsList="tabsList" v-model:isSubmit="isSubmit" type="exam" :subject="subject" navTitle="模拟考试" />
	</view>
</template>

<script>
	import {
		getTestQuestion
	} from '@/jtools/api/question';
	import storage from '@/jtools/storage';
	import Question from './components/Question.vue';
	export default {
		components: {
			Question
		},
		data() {
			return {
				subject:1,
				isSubmit:false,
				tabsList:[{
					label:"模拟考试",
					value:0
				},{
					label:"考前密卷",
					value:1
				}]
			}
		},
		onLoad(op) {
			if(op.subject){
				this.subject=op.subject
				getTestQuestion({
					carTypeId: storage.get('carType') || '1001',
					subject: this.subject
				}).then(resp=>{
					if(resp.code==='0000'){
						this.$refs.question.getQuestionList(JSON.stringify(resp.data))
					}
				})
			}
		},
		computed: {
		},
		methods: {
			toBack(){
				this.$refs.question.submitPaper()
			}
		}
	}
</script>

<style scoped>
	::v-deep .u-count-down{
		font-size: 28rpx;
		color:#fff !important;
		display: inline-block !important;
	}
	::v-deep .u-count-down__text{
		font-size: 28rpx;
		color:#fff !important;
	}
	::v-deep .balckColor .u-count-down__text{
		font-size: 28rpx;
		color:#333 !important;
	}
</style>
